<%-- 
    Document   : pushinvoker
    Created on : 15.6.2010, 9:50:37
    Author     : atw10t87
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ page trimDirectiveWhitespaces="true" %>
<%@ taglib prefix="s" uri="/struts-tags" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>OpenStage Push Invoker</title>
    </head>
    <body>
        <h2><s:text name="title.phones" /></h2>

        <div id="addPhoneIP">
            <s:form cssClass="centered" id="phonesForm" action="pushinvoker" theme="simple" method="post">
                <s:text name="label.addPhoneAddress" var="label.addPhoneAddress" />
                <s:textfield class="inp" name="currentPhoneAddress" />
                <s:submit type="button" value="addPhone" label="%{label.addPhoneAddress}" name="command"/>

            </s:form>
        </div>

        <hr />
        <s:form cssClass="centered" id="selectgroup" name="selectPhone" action="pushinvoker" method="post">
            <s:text name="label.selectPhone" var="label.selectPhone" />
            <s:select

                label="%{label.selectPhone}"
                headerKey=""
                headerValue="-------"
                name="currentPhoneAddress"
                list="phones.{phoneAddress}"
                onchange="document.selectPhone.submit()"
                value="%{currentPhoneAddress}"
                />
        </s:form>

        <s:if test="isPhoneSelected()">
            <hr>
            <s:form cssClass="centered" id="sendpush" name="SendPush" action="%{action}"
                    method="post">

                <s:hidden name="currentPhoneAddress" value="%{currentPhoneAddress}">
                </s:hidden>


                <s:textfield class="inp" label="MidletName:    " name="MidletName" value="Pushing"/>
                <s:textfield class="inp" label="ServerProtocol:" name="ServerProtocol" value="http"/>
                <s:textfield class="inp" label="ServerAddr:    " name="ServerAddr" value="%{serverAddress}"/>
                <s:textfield class="inp" label="ServerPort:    " name="ServerPort" value="%{serverPort}"/>
                <s:textfield class="inp" label="ProgramName:   " name="ProgramName" value="openstagepush/pushing"/>
                <s:text name="label.requestType" var="label.requestType" />
                <s:select

                    label="%{label.requestType}"
                    cssClass="atleast"
                    multiple="false"
                    name="RequestType"
                    list="requestTypes.{typeName}"

                    />

                <s:textfield class="inp" label="ServerContextKey:   " name="ServerContextKey" value="action"/>
                <s:text name="label.contextValue" var="label.contextValue" />
                <s:select
                    label="%{label.contextValue}"
                    cssClass="atleast"
                    id="ServerContextValue"
                    name="ServerContextValue"
                    list="xmlFiles.{xmlFileName}"

                    />

                <s:text name="label.sendPush" var="label.sendPush" />
                <s:submit type="button" label="%{label.sendPush}"
                          value="Send" name="command">
                </s:submit>

            </s:form>

            <hr>

            <s:form cssClass="centered" id="deletePhone" name="deletePhone" action="pushinvoker"
                    method="post">
                <s:hidden name="currentPhoneAddress" value="%{currentPhoneAddress}">
                </s:hidden>
                <s:text name="label.deletePhoneAddress" var="label.deletePhoneAddress" />
                <s:submit type="button" value="deletePhone" label="%{label.deletePhoneAddress}" name="command"/>
            </s:form>

        </s:if>
    </body>
</html>
