/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.siemens_enterprise.openstagepush.data;

import java.util.Arrays;
import java.util.Collection;

/**
 *
 * @author atw10t87
 */
public enum RequestType {

    FORCE {
        private final String typeName = "force";

        @Override
        public String getTypeName() {
            return typeName;
        }
    },

    INDICATE {
        private final String typeName = "indicate";

        @Override
        public String getTypeName() {
            return typeName;
        }
    },

    QUEUE {
        private final String typeName = "queue";

        @Override
        public String getTypeName() {
            return typeName;
        }
    },

    ACTIVE {
        private final String typeName = "active";

        @Override
        public String getTypeName() {
            return typeName;
        }
    };

    public String getTypeName() {
        return "unknown";
    }


    private static final RequestType[] TYPES = new RequestType[] { ACTIVE, FORCE, INDICATE, QUEUE};

    public static Collection<RequestType> getTypes() {

        return Arrays.asList(TYPES);

    }
}
